# $Revision: 1.51 $, $Date: 2004/08/25 22:31:05 $
Summary:	Structure of Management Information library
Summary(pl):	Biblioteka SMI (Struktur zarzdzania informacjami)
Summary(ru):	     SMI MIB
Summary(uk):	̦    æ SMI MIB
Name:		libsmi
Version:	0.4.3
Release:	1
License:	BSD
Group:		Libraries
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/%{name}-%{version}.tar.gz
# Source0-md5:	aca6bbeaff025d38c58f26ecbd70b604
Source1:	%{name}-smi.conf
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-am18.patch
URL:		http://www.ibr.cs.tu-bs.de/projects/libsmi/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsmi is a C library that allows network management applications to
access MIB module information through a well defined API that hides
the nasty details of locating and parsing SMIv1/v2 MIB modules.

Libsmi supports exact and iterative retrieval functions for all major
SMIv1 and SMIv2 constructs (except the AGENT-CAPABILITIES statement).

The layered concept of libsmi allows to add further methods to
retrieve MIB information from persistent repositories. In fact,
besides the SMIv1/v2 MIB file parser an additional parser for `SMIng'
is included. Both parsers are built on flex/bison grammar
specifications.

SMIng is a research project concerned with the definition of a MIB
module language that is semantically fully compatible with SMIv2 but
avoids many problems of the ASN.1 based SMI versions.

Included with the library, there are three tools that make use of
libsmi: Smiquery allows simple queries of single MIB module items.
Smilint allows to increase the verbosity of the parser(s), so that MIB
modules can be checked for syntax and semantic errors. Finally,
smidump can be used to dump MIB modules. Currently, SMIng and SMIv2
are supported as output formats, so that SMIv2 <-> SMIng conversions
are possible.

%description -l pl
libsmi jest bibliotek pozwalajc aplikacjom zarzdzania sieci na
dostp do informacji o moduach MIB poprzez dobrze zdefiniowane API,
ukrywajce brzydkie szczegy szukania i parsowania moduw MIB
SMIv1/v2.

%description -l ru
Libsmi -  C ,      
  MIB    API,
        SMIv1/v2
MIB.

%description -l uk
Libsmi -  C ¦̦,    ̦  
 æ ̦ MIB    API,  դ
ɤΦ ̦    ̦ SMIv1/v2 MIB.

%package progs
Summary:	SMI tools
Summary(pl):	Narzdzia SMI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description progs
SMI tools.

%description progs -l pl
Narzdzia SMI.

%package devel
Summary:	Header files and development documentation for libsmi
Summary(pl):	Pliki nagwkowe i dokumentacja do libsmi
Summary(ru):	      libsmi
Summary(uk):	      libsmi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libsmi.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libsmi.

%description devel -l ru
      libsmi.

%description devel -l uk
      libsmi.

%package static
Summary:	Static libsmi libraries
Summary(pl):	Biblioteki statyczne libsmi
Group:		Development/Libraries
Summary(ru):	       libsmi
Summary(uk):	Φ ¦̦      libsmi
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsmi libraries.

%description static -l pl
Biblioteki statyczne libsmi.

%description static -l ru
      
libsmi.

%description static -l uk
Φ ¦̦      libsmi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-smi \
	--enable-sming \
	--enable-shared \
	--enable-static \
	--with-mibdir=%{_datadir}/mibs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/smi.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE COPYING ChangeLog README THANKS TODO
%{_sysconfdir}/smi.conf
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/mibs
%{_datadir}/pibs

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc doc/draft-irtf-nmrg-smi*.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsmi.spec,v $
Revision 1.51  2004/08/25 22:31:05  qboosh
- updated to 0.4.3

Revision 1.50  2003/12/19 11:50:11  qboosh
- added am18 patch (libsmi.m4 quotation fix); release 2

Revision 1.49  2003/12/06 21:02:27  qboosh
- updated to 0.4.2

Revision 1.48  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/31 19:46:03  qboosh
- updated to 0.4.1, updated  sysconfdir patch
- moved base doc to base package, added required COPYING file

Revision 1.45  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.44  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.43  2002/07/26 16:00:28  kloczek
- merge translation from KSI.

Revision 1.42  2002/06/23 19:04:03  kloczek
- updated to 0.4.0 (bug fixes and improved dumping SMI/PIB modules to XML).

Revision 1.41  2002/05/21 23:13:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/24 07:52:11  arturs
License field change

Revision 1.39  2002/03/28 22:39:21  kloczek
- release 2,
- fix: added sysconfdir patch which fixes location system libsmi config file
  (now in %%{_sysconfdir}/smi.conf,
- added system smi.conf files,
- move smi tools to progs subpackage.

Revision 1.38  2002/03/27 11:09:10  roman
- License: distributable (see COPYING)

Revision 1.37  2002/03/23 04:37:53  kloczek
- updated to 0.3.1 (bugfixes).

Revision 1.36  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/12/15 22:36:31  kloczek
- updated to 0.3.0 (few fixes in MIB files and few other importand fixes).

Revision 1.32  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.31  2001/09/28 02:56:39  kloczek
- release 2.

Revision 1.30  2001/09/26 12:07:00  qboosh
- BuildRequires: autoconf, automake, libtool; added short pl description

Revision 1.29  2001/08/31 21:16:51  kloczek
- updated to 0.2.17.

Revision 1.28  2001/08/10 11:55:44  kloczek
- release 2.

Revision 1.27  2001/08/09 22:33:19  agaran
ac-25 fixies

Revision 1.26  2001/04/17 23:46:42  kloczek
- updated to 0.2.16.

Revision 1.25  2001/03/21 16:10:39  mis
- updated (by autoup) to 0.2.14

Revision 1.24  2001/01/25 19:55:41  kloczek
- updated to 0.2.13.

Revision 1.23  2000/12/06 21:55:43  kloczek
- updated to 0.2.12.

Revision 1.22  2000/12/04 18:21:14  kloczek
- updated to 0.2.11.

Revision 1.21  2000/11/26 22:40:01  kloczek
- updated to 0.2.10.

Revision 1.20  2000/11/22 08:58:22  kloczek
- updated to 0.2.9.

Revision 1.19  2000/11/16 06:44:14  kloczek
- updated to 0.2.8.

Revision 1.18  2000/11/10 19:51:13  kloczek
- updated to 0.2.7.

Revision 1.17  2000/11/01 02:53:30  kloczek
- updated to 0.2.6.

Revision 1.16  2000/10/18 22:09:20  kloczek
- release2: use new rpm automation.

Revision 1.15  2000/07/19 23:56:55  kloczek
- updated to 0.2.5.

Revision 1.14  2000/06/27 21:09:35  kloczek
- updated to 0.2.3.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/29 23:55:32  kloczek
- updated to 0.2.1,
- spec adapterized.

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/02/15 17:56:16  kloczek
- fixed %doc list.

Revision 1.7  2000/02/15 16:53:43  kloczek
- updated to 0.2.

Revision 1.6  1999/12/16 09:27:00  kloczek
- updated %doc %files list.

Revision 1.5  1999/12/16 08:22:59  kloczek
- update to 0.1.8.

Revision 1.4  1999/10/08 22:35:38  kloczek
- updated to 0.1.7.

Revision 1.3  1999/09/30 18:52:39  kloczek
- added missing %post/%postun with runing /sbin/ldconfig.

Revision 1.2  1999/09/30 18:50:42  kloczek
- removed NEWS from compressed fiels list.

Revision 1.1  1999/09/30 18:45:45  kloczek
- libsmi spec written from scratch.
